using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("化验运行记录")]
    public class T_PR_LABORATORY_OPERATION_RECORD : MesEntityBase
    {
        [Description("预选")]
        public ICollection<T_PR_LABORATORY_OPERATION_RECORD_PRE> Nav_Pres { get; set; }

        [Description("精选")]
        public ICollection<T_PR_LABORATORY_OPERATION_RECORD_DET> Nav_Dets { get; set; }
        [Description("瞬时原矿")]
        public ICollection<T_PR_LABORATORY_OPERATION_RECORD_ORE> Nav_Ores { get; set; }
        [Description("成品样")]
        public ICollection<T_PR_LABORATORY_OPERATION_RECORD_SAM> Nav_Sams { get; set; }
        [Description("状态")]
        [EnumName("PFStandardStatus")]
        public PFStandardStatus STATUS { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }
    }
}
